import { FeatureCollection } from "geojson";

export interface MapProps {
  id: string
  tileUrl?: string
  height: string
  width: string
  center: number[]
  zoom: number
  icons?: MapIcon[]
  controls?: MapControls
  highlightArea?: MapHighlightArea
}

export interface MapIcon {
  name: string
  position: number[]
  anchor?: number[]
  anchorXUnits: 'fraction' | 'pixels'
  anchorYUnits: 'fraction' | 'pixels'
  src: string
  imgSize?: number[]
}

export interface MapControls {
  showZoomButtons?: boolean
}

export interface MapHighlightArea {
  geoJson: FeatureCollection
  strokeWidth: number
  strokeColor: string
  fillColor: string
}