import React, { BaseSyntheticEvent } from 'react'
import { SliderProps } from './Slider.types';
import './Style.css';

const Slider = ({ label, valueAsString, value, maxValue, minValue, changeValue, labelColor }: SliderProps) => {
    return (
        <div className='slidecontainer'>
            <p style={{ width: '100%', textAlign: 'center', color: labelColor, fontSize: 20, marginBottom: 10 }}>{label}{valueAsString}</p>

            <input
                onInput={(e: BaseSyntheticEvent) => {
                    const v = parseInt(e.target.valueAsNumber);
                    changeValue(v)
                }}
                type='range' min={minValue} max={maxValue} value={value} className='slider' id='myRange' />

            <div style={{ display: 'flex', marginTop: 8 }}>
                <div style={{ color: labelColor, display: 'flex', flex: '1', fontSize: 14 }}>{minValue}</div>
                <div style={{ color: labelColor, display: 'flex', flex: '1', justifyContent: 'flex-end', fontSize: 14 }}>{maxValue}</div>
            </div>
        </div>


    )
}

export default Slider