import React from 'react'
import { ComponentStory, ComponentMeta } from '@storybook/react'
import SlidingDateSelector from '../../components/SlidingDateSelector'
import { SelectedDate } from '../../components/SlidingDateSelector/SlidingDateSelector.types'

export default {
    title: 'Date/SlidingDateSelector',
    component: SlidingDateSelector,
} as ComponentMeta<typeof SlidingDateSelector>

const Template: ComponentStory<typeof SlidingDateSelector> = (args) =>
    <div style={{ width: '100%', height: '600px' }}><SlidingDateSelector {...args} /></div>

export const DateSelector = Template.bind({});
DateSelector.args = {
    minYear: 1950,
    maxYear: 2050,
    labelColor: 'grey',
    onDateUpdated: (date: SelectedDate) => console.log('date', date),
    primaryButtonColor: '#04AA6D',
    primaryButtonSelectedColor: '#12584E',
    secondaryButtonColor: '#3d84ab'
}